This package implements a ROS node for ground / obstacle / overhanging obstacle segmentation. It provides the interface to the library kf_based_terrain_analysis, which angularly exploring a poincloud from the origin to the limits, generates a graph of ground references containing their 2D coordinates (XY) and three Gaussian variables (Z, slope in X (tan(pitch)) and slope in Y (tan(roll))) with means and variances. These three variables are estimated by means of a Kalman Filter.

Dependences: 

1) gnss_lidar_navigation_preprocessing (https://gitlab.iri.upc.edu/idelpino/gnss_lidar_navigation_preprocessing):

Regarding the ground segmentation algorithm it provides:
- A node to adapt the input point cloud to the format internally used by the kf_based_terrain_analysis. 
- And a node for fusing two pointclouds into one (for the ADD robot).

2) the kf_based_terrain_analysis library (https://gitlab.iri.upc.edu/idelpino/kf_based_terrain_analysis)

To launch the whole ground segmentation pipeline for the ADD robot just roslaunch the iri_ground_segmentation add_ground_segmentation_pipeline.launch 


