% Plotting ROI size as function of delta_b and distance
RANGE_MAX = 35.0;
range = 0:0.1:RANGE_MAX;
DELTA_ALPHA_DEG = 2.0; % lidar vertical resolution
DELTA_ALPHA = DELTA_ALPHA_DEG * pi / 180.0;

SENSOR_HEIGHT = 1.1; %In RED robot this is the value

MIN_ALPHA = DELTA_ALPHA_DEG * pi / 180.0;
range_vector_size = size(range);
for i = 1: 1: range_vector_size(2)
   alpha = atan2(SENSOR_HEIGHT, range(i));
   alpha_next_layer  = alpha - DELTA_ALPHA;
   
   if (alpha_next_layer >= MIN_ALPHA)
     ROI_size(i) =  SENSOR_HEIGHT * (1/tan(alpha_next_layer) - 1/(tan(alpha)));  
   else
     ROI_size(i) = 0.0;  
   end
end


plot(range, ROI_size)